# $Revision: 1.66 $, $Date: 2008-04-01 18:16:16 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires working ldap server and gnupg configured with key retrieval with hkp)
#
%include	/usr/lib/rpm/macros.perl
Summary:	perl-ldap module - a client interface to LDAP servers
Summary(pl.UTF-8):	Moduł perl-ldap - kliencki interfejs do serwerów LDAP
Name:		perl-ldap
Version:	0.34
Release:	1
Epoch:		3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{name}-%{version}.tar.gz
# Source0-md5:	398689b0a7b1615075a6b5035f6e3e91
URL:		http://ldap.perl.org/
BuildRequires:	perl-Authen-SASL >= 2.00
BuildRequires:	perl-Convert-ASN1 >= 0.07
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-IO-Socket-SSL >= 0.81
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-Module-Signature
BuildRequires:	perl-URI >= 1.08
BuildRequires:	perl-XML-SAX
BuildRequires:	perl-libwww
%endif
Obsoletes:	perl-LDAP
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq 'perl(Convert::ASN1::Debug)'

%description
perl-ldap is a collection of modules that implements a LDAP services
API for Perl programs.

%description -l pl.UTF-8
perl-ldap to zestaw modułów umożliwiających dostęp do usług LDAP z
poziomu programów w Perlu.

%prep
%setup -q

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

# this must be done after tests because of signature checking
find blib -type f | xargs -r perl -pi -e 's|/local/bin/perl\d*|/bin/perl|g'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT
cp -r {contrib,bin} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Net/LDAP/.packlist
rm -f $RPM_BUILD_ROOT%{_mandir}/man3/Bundle::Net::LDAP.3pm
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/{Bundle/Net/LDAP.pm,Net/{,LDAP/}*.pod}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS Changes README TODO
%{perl_vendorlib}/LWP/Protocol/ldap.pm
%{perl_vendorlib}/Net/LDAP*.pm
%dir %{perl_vendorlib}/Net/LDAP
%{perl_vendorlib}/Net/LDAP/*.pm
%{perl_vendorlib}/Net/LDAP/Control
%{perl_vendorlib}/Net/LDAP/Extension
%{_mandir}/man3/N*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-ldap.spec,v $
Revision 1.66  2008-04-01 18:16:16  qboosh
- perl-ExtUtils-AutoInstall is not BRed (included in sources)
- optional perl-IO-Socket-SSL is BRed for non-interactive build

Revision 1.65  2008-03-28 09:03:03  sls
- BR: perl-IO-Socket-SSL
- rel. 1

Revision 1.64  2008-03-28 09:00:53  sls
- ver. 0.34

Revision 1.63  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.62  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.61  2006/01/02 20:12:40  qboosh
- tabs

Revision 1.60  2006/01/02 20:09:27  arekm
- some are mandatory

Revision 1.59  2006/01/02 18:46:12  glen
- epoch 3 due: 0.3202 > 0.33
- rel 2

Revision 1.58  2006/01/02 15:53:39  glen
- updated to 0.33
- clean check-files
- tests disabled due needing ldap server and fetching gpg key via hkp
- Obsoletes: perl-LDAP for upgrades from fedora core

Revision 1.57  2005/05/05 00:05:40  ankry
- updated to 0.3202

Revision 1.56  2004/08/22 13:23:56  adamg
- updated to 0.32
- BuildRequires: perl-ExtUtils-AutoInstall

Revision 1.55  2004/05/07 00:32:06  ankry
- rel. 2

Revision 1.54  2004/05/06 18:43:25  ankry
- fixed perl-devel BR

Revision 1.53  2004/05/04 13:36:35  ankry
- license fix, cosmetics

Revision 1.52  2004/04/08 17:25:30  adamg
- fixed usage of new style bconds

Revision 1.51  2004/03/22 10:30:09  ankry
- don't rename: this version still contains ldap.pm module

Revision 1.49  2004/03/22 09:57:19  luzik
- added URL

Revision 1.48  2004/01/25 00:15:05  arekm
- autoupdated to 0.31

Revision 1.47  2003/10/31 20:41:40  qboosh
- updated to 0.30, Epoch 2

Revision 1.46  2003/09/09 10:24:56  ankry
- spaces -> tab

Revision 1.45  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.44  2003/08/18 08:09:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.43  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.42  2003/05/25 06:25:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/04/11 18:59:45  radek
- BR: perl-devel; do not BR: perl

Revision 1.40  2003/03/18 17:22:28  qboosh
- use package name in BR if it's the only one (for Authen::SASL)

Revision 1.39  2003/03/14 23:34:08  ankry
- remove Bundle::Net::LDAP.3pm man page
- rel. 3

Revision 1.38  2003/03/01 22:43:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.37  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.36  2003/02/19 14:03:35  ankry
- updated to 0.2701
- removed .pod files

Revision 1.35  2003/02/18 15:39:21  ankry
- massive attack: change CPAN URLs

Revision 1.34  2002/09/29 18:45:35  ankry
- updated to 0.26, release 1
- NOTE: requires separate perl-Authen-SASL (which conflicts with previous
  versions of perl-ldap
- fixed file list
- added tests, cleaning

Revision 1.33  2002/07/20 07:15:50  qboosh
- BR: perl-Digest-HMAC; release 4

Revision 1.32  2002/07/20 00:37:28  qboosh
- it uses Convert::ASN1 instead of Convert::BER
- new %doc; NFY!

Revision 1.31  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.30  2002/02/25 10:32:26  depesz
- cleanup; revision++

Revision 1.29  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/02/13 20:28:05  kloczek
- adapterized.

Revision 1.27  2002/02/10 15:40:13  depesz
- adapterized

Revision 1.26  2002/02/09 13:34:43  depesz
- wrong path

Revision 1.25  2002/02/09 12:59:38  depesz
- unified source path

Revision 1.24  2002/01/18 02:14:35  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/11/13 11:43:45  mis
- rollback autodowngrade

Revision 1.21  2001/11/10 12:39:14  kloczek
- updated to 0.25 (Epoch: 1).

Revision 1.20  2001/11/06 16:46:41  kloczek
- release 2.

Revision 1.19  2001/11/02 14:52:05  jajcus
- s/LDAPS/LDAPS.pm/, it was not a directory, sorry

Revision 1.18  2001/11/02 14:49:51  jajcus
- directory Net/LDAPS added

Revision 1.17  2001/11/02 14:48:30  jajcus
- BuildRequires: perl-devel
- BuildRequires: perl-IO-Socket-SSL

Revision 1.16  2001/09/10 13:12:11  mis
- autoupdated to 0.2401

Revision 1.15  2001/07/25 09:17:26  mis
- autoupdated to 0.24

Revision 1.14  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.13  2001/04/30 15:06:39  baggins
- added noautoreq

Revision 1.12  2001/04/28 15:17:26  mis
- autoupdated to 0.23

Revision 1.11  2001/04/17 12:18:54  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/02/28 19:34:29  mis
- updated (by autoup) to 0.22

Revision 1.8  2001/01/26 04:04:34  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:55:02  kloczek
- more %{__make} macros.

Revision 1.6  2000/06/09 07:23:46  kloczek
- added using %{__make} macro.

Revision 1.5  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.1  1999/10/31 00:55:41  pius
- initial release
